# HG changeset patch
# Node ID 9d30e0f6f101
# Parent  a9277b273825
diff --git a/pidgin/gtkmedia.h b/pidgin/gtkmedia.h
--- a/pidgin/gtkmedia.h
+++ b/pidgin/gtkmedia.h
@@ -30,7 +30,7 @@
 
 G_BEGIN_DECLS
 
-PURPLE_AVAILABLE_IN_2_6
+PIDGIN_AVAILABLE_IN_2_6
 void pidgin_medias_init(void);
 
 G_END_DECLS
diff --git a/pidgin/gtkrequest.h b/pidgin/gtkrequest.h
--- a/pidgin/gtkrequest.h
+++ b/pidgin/gtkrequest.h
@@ -53,7 +53,10 @@ PurpleRequestUiOps *pidgin_request_get_u
  * Gets dialog window for specified libpurple request.
  *
  * Returns: (transfer none): The dialog window.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWindow *
 pidgin_request_get_dialog_window(void *ui_handle);
 
@@ -67,21 +70,30 @@ pidgin_request_get_dialog_window(void *u
  * Returns the gtk requests subsystem handle.
  *
  * Returns: The requests subsystem handle.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void *pidgin_request_get_handle(void);
 
 /**
  * pidgin_request_init:
  *
  * Initializes the GTK requests subsystem.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_request_init(void);
 
 /**
  * pidgin_request_uninit:
  *
  * Uninitializes the GTK requests subsystem.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 void pidgin_request_uninit(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginaccountrow.h b/pidgin/pidginaccountrow.h
--- a/pidgin/pidginaccountrow.h
+++ b/pidgin/pidginaccountrow.h
@@ -60,7 +60,10 @@ G_DECLARE_FINAL_TYPE(PidginAccountRow, p
  * Creates a new instance.
  *
  * Returns: (transfer full): The new instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_account_row_new(void);
 
 /**
diff --git a/pidgin/pidginactiongroup.h b/pidgin/pidginactiongroup.h
--- a/pidgin/pidginactiongroup.h
+++ b/pidgin/pidginactiongroup.h
@@ -48,8 +48,10 @@
  *
  * A constant that represents the sort-method action to change the sorting
  * method of the buddy list.
+ *
+ * Since: 3.0.0
  */
-#define PIDGIN_ACTION_SORT_METHOD ("sort-method")
+#define PIDGIN_ACTION_SORT_METHOD ("sort-method" PIDGIN_AVAILABLE_MACRO_IN_3_0)
 
 G_BEGIN_DECLS
 
@@ -66,7 +68,10 @@ G_DECLARE_FINAL_TYPE(PidginActionGroup, 
  * #GAction's in Pidgin.
  *
  * Returns: (transfer full): The new #PidginActionGroup instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GSimpleActionGroup *pidgin_action_group_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidgincontactlist.h b/pidgin/pidgincontactlist.h
--- a/pidgin/pidgincontactlist.h
+++ b/pidgin/pidgincontactlist.h
@@ -60,7 +60,10 @@ G_DECLARE_FINAL_TYPE(PidginContactList, 
  * [class@Purple.ContactManager].
  *
  * Returns: (transfer full): The new #PidginContactList instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_contact_list_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginconversation.h b/pidgin/pidginconversation.h
--- a/pidgin/pidginconversation.h
+++ b/pidgin/pidginconversation.h
@@ -41,6 +41,8 @@ G_BEGIN_DECLS
  * PidginConversation:
  *
  * A [class@Gtk.Widget] for displaying a [class@Purple.Conversation].
+ *
+ * Since: 2.0.0
  */
 
 #define PIDGIN_TYPE_CONVERSATION (pidgin_conversation_get_type())
diff --git a/pidgin/pidgincore.h b/pidgin/pidgincore.h
--- a/pidgin/pidgincore.h
+++ b/pidgin/pidgincore.h
@@ -60,7 +60,10 @@
  * @argv: The argv from main(), or %NULL.
  *
  * Start pidgin with the given command line arguments.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 int pidgin_start(int argc, char *argv[]);
 
 #endif /* PIDGIN_CORE_H */
diff --git a/pidgin/pidgindisplaywindow.h b/pidgin/pidgindisplaywindow.h
--- a/pidgin/pidgindisplaywindow.h
+++ b/pidgin/pidgindisplaywindow.h
@@ -57,7 +57,10 @@ G_DECLARE_FINAL_TYPE(PidginDisplayWindow
  * Creates a new #PidginDisplayWindow instance.
  *
  * Returns: (transfer full): The new #PidginDisplayWindow instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_display_window_new(void);
 
 /**
diff --git a/pidgin/pidgininfopane.h b/pidgin/pidgininfopane.h
--- a/pidgin/pidgininfopane.h
+++ b/pidgin/pidgininfopane.h
@@ -60,7 +60,10 @@ G_DECLARE_FINAL_TYPE(PidginInfoPane, pid
  * @conversation.
  *
  * Returns: (transfer full): The new #PidginInfoPane instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_info_pane_new(PurpleConversation *conversation);
 
 /**
@@ -70,7 +73,10 @@ GtkWidget *pidgin_info_pane_new(PurpleCo
  * Gets the #PurpleConversation that @pane is displaying information for.
  *
  * Returns: (transfer none): The #PurpleConversation displayed by @pane.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleConversation *pidgin_info_pane_get_conversation(PidginInfoPane *pane);
 
 /**
diff --git a/pidgin/pidgininvitedialog.h b/pidgin/pidgininvitedialog.h
--- a/pidgin/pidgininvitedialog.h
+++ b/pidgin/pidgininvitedialog.h
@@ -63,6 +63,8 @@ G_BEGIN_DECLS
  *
  * }
  * ]|
+ *
+ * Since: 3.0.0
  */
 
 #define PIDGIN_TYPE_INVITE_DIALOG  pidgin_invite_dialog_get_type()
diff --git a/pidgin/pidginnotificationaddcontact.h b/pidgin/pidginnotificationaddcontact.h
--- a/pidgin/pidginnotificationaddcontact.h
+++ b/pidgin/pidginnotificationaddcontact.h
@@ -64,7 +64,10 @@ G_DECLARE_FINAL_TYPE(PidginNotificationA
  *
  * Returns: (transfer full): The new #PidginNotificationAddContact
  *          instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_notification_add_contact_new(PurpleNotification *notification);
 
 /**
diff --git a/pidgin/pidginnotificationauthorizationrequest.h b/pidgin/pidginnotificationauthorizationrequest.h
--- a/pidgin/pidginnotificationauthorizationrequest.h
+++ b/pidgin/pidginnotificationauthorizationrequest.h
@@ -64,7 +64,10 @@ G_DECLARE_FINAL_TYPE(PidginNotificationA
  *
  * Returns: (transfer full): The new #PidginNotificationAuthorizationRequest
  *          instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_notification_authorization_request_new(PurpleNotification *notification);
 
 /**
diff --git a/pidgin/pidginnotificationconnectionerror.h b/pidgin/pidginnotificationconnectionerror.h
--- a/pidgin/pidginnotificationconnectionerror.h
+++ b/pidgin/pidginnotificationconnectionerror.h
@@ -63,7 +63,10 @@ G_DECLARE_FINAL_TYPE(PidginNotificationC
  *
  * Returns: (transfer full): The new #PidginNotificationConnectionError
  *          instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_notification_connection_error_new(PurpleNotification *notification);
 
 /**
diff --git a/pidgin/pidginnotificationlist.h b/pidgin/pidginnotificationlist.h
--- a/pidgin/pidginnotificationlist.h
+++ b/pidgin/pidginnotificationlist.h
@@ -57,7 +57,10 @@ G_DECLARE_FINAL_TYPE(PidginNotificationL
  * notifications from the default [class@Purple.NotificationManager].
  *
  * Returns: (transfer full): The new #PidginNotificationList instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_notification_list_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginpluginsmenu.h b/pidgin/pidginpluginsmenu.h
--- a/pidgin/pidginpluginsmenu.h
+++ b/pidgin/pidginpluginsmenu.h
@@ -54,7 +54,10 @@ G_DECLARE_FINAL_TYPE(PidginPluginsMenu, 
  * Creates a new #PidginPluginsMenu instance that keeps itself up to date.
  *
  * Returns: (transfer full): The new #PidginPluginsMenu instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GMenuModel *pidgin_plugins_menu_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginstatusmanager.h b/pidgin/pidginstatusmanager.h
--- a/pidgin/pidginstatusmanager.h
+++ b/pidgin/pidginstatusmanager.h
@@ -55,7 +55,10 @@ G_DECLARE_FINAL_TYPE(PidginStatusManager
  * Creates a new instance of the dialog.
  *
  * Returns: (transfer full): The new #PidginStatusManager instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 GtkWidget *pidgin_status_manager_new(void);
 
 G_END_DECLS
diff --git a/pidgin/pidginui.h b/pidgin/pidginui.h
--- a/pidgin/pidginui.h
+++ b/pidgin/pidginui.h
@@ -56,7 +56,10 @@ G_DECLARE_FINAL_TYPE(PidginUi, pidgin_ui
  * Note: there's not much use for this outside of Pidgin's internal code.
  *
  * Returns: (transfer full): The new instance.
+ *
+ * Since: 3.0.0
  */
+PIDGIN_AVAILABLE_IN_3_0
 PurpleUi *pidgin_ui_new(void);
 
 G_END_DECLS
